/*====================================+=====================================+
! File CWinFbtvoOk.h                  ! Copyright (C) 2016-2018 Remi PASCAL !
+-------------------------------------+-------------------------------------+
! This file is part of matelefree.                                          !
! matelefree is free software: you can redistribute it and/or modify it     !
! under the terms of the GNU General Public License as published by the     !
! Free Software Foundation, either version 3 of the License, or any later   !
! version.                                                                  !
! matelefree is distributed in the hope that it will be useful, but WITHOUT !
! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     !
! FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for !
! more details.                                                             !
! You should have received a copy of the GNU General Public License along   !
! with matelefree. If not, see <http://www.gnu.org/licenses/>.              !
+==========================================================================*/



/*-------------------------------------------------------------------------*/
#pragma once
/*-------------------------------------------------------------------------*/
#include <wx/wx.h>
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
class CWinFbtvoOk : public wxPanel
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CWinFbtvoOk( wxWindow *parent, CPlaylistFbtvoOk *pl_fbtvo_ok ) ;
      //~CWinFbtvoOk() ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CPlaylistFbtvoOk *m_pl          = nullptr ;
      wxButton         *m_bt_start    = nullptr ;
      wxGauge          *m_ga_progress = nullptr ;
      wxStaticText     *m_stx_info    = nullptr ;

   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      void reset_gui_search() ;
      void start_search() ;
      void msg_info( const wxString &s ) ;
      void msg_error( const wxString &s ) ;

   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/



/*==========================================================================+
!                         End of file CWinFbtvoOk.h                         !
+==========================================================================*/
